searchNodes=[{"doc":"Simple convenience module for getting a map out of an XML string.","ref":"XmlToMap.html","title":"XmlToMap","type":"module"},{"doc":"","ref":"XmlToMap.html#default_namespace_match_fn/0","title":"XmlToMap.default_namespace_match_fn/0","type":"function"},{"doc":"naive_map/1 utility is inspired by Rails Hash.from_xml() but is &quot;naive&quot; in that it is convenient (requires no setup) but carries the same drawbacks. For example no validation over what should be a collection. If and only if nodes are repeated at the same level will they become a list. If a node has attributes we&#39;ll prepend a &quot;-&quot; in front of them and merge them into the map and take the node value and nest that inside &quot;#content&quot; key.","ref":"XmlToMap.html#naive_map/2","title":"XmlToMap.naive_map/2","type":"function"},{"doc":"Module to recursively traverse the output of erlsom.simple_form/1 and produce a map. erlsom uses character lists so this library converts them to Elixir binary string. Attributes, if present, are defined as tag@attribute_name =&gt; attribute_value.","ref":"XmlToMap.NaiveMap.html","title":"XmlToMap.NaiveMap","type":"module"},{"doc":"","ref":"XmlToMap.NaiveMap.html#parse/1","title":"XmlToMap.NaiveMap.parse/1","type":"function"},{"doc":"XmlToMap Creates an Elixir Map data structure from an XML string. Usage: XmlToMap.naive_map(&quot;&lt;foo&gt;&lt;bar&gt;123&lt;/bar&gt;&lt;/foo&gt;&quot;) Results in: %{&quot;foo&quot; =&gt; %{&quot;bar&quot; =&gt; &quot;123&quot;}} Converts XML string to an Elixir map with strings for keys, not atoms, since atoms are not garbage collected. This tool is inspired by Rails Hash.from_xml(). I call the function &quot;naive&quot;, because there are known short comings and there is some controversy around using a conversion tool like this since XML and Maps are non-isomorphic and there is no standard way to convert all the information from one format to another. The recommended way to pull specific well structured information from XML is to use something like xpath. But if you understand the risks and still prefer to convert the whole XML string to a map then this tool is for you! It is currently not able to parse XML namespace. It also can&#39;t determine if a child should be a list unless it sees a repeated child. If and only if nodes are repeated at the same level will they become a list. # there are two points inside foo, so the value of &quot;point&quot; becomes a list. Had &quot;foo&quot; only contained one point then there would be no list but instead one nested map XmlToMap.naive_map(&quot;&lt;foo&gt;&lt;point&gt;&lt;x&gt;1&lt;/x&gt;&lt;y&gt;5&lt;/y&gt;&lt;/point&gt;&lt;point&gt;&lt;x&gt;2&lt;/x&gt;&lt;y&gt;9&lt;/y&gt;&lt;/point&gt;&lt;/foo&gt;&quot;) # =&gt; %{&quot;foo&quot; =&gt; %{&quot;point&quot; =&gt; [%{&quot;x&quot; =&gt; &quot;1&quot;, &quot;y&quot; =&gt; &quot;5&quot;}, %{&quot;x&quot; =&gt; &quot;2&quot;, &quot;y&quot; =&gt; &quot;9&quot;}]}} Previously this package did not handle XML node attributes. The current version takes inspiration from a go goxml2json package and exports attributes in the map while prepending &quot;-&quot; so you know they are attributes. Whenever we encounter an XML node with BOTH attributes and children, we wrap &quot;#content&quot; around the node&#39;s inner value. For example this snippet has a Height leaf node with attribute Units and a value of 0.50: &lt;ItemDimensions&gt; &lt;Height Units=&quot;inches&quot;&gt;0.50&lt;/Height&gt; &lt;/ItemDimensions&gt; This would become this snippet: ... &quot;ItemDimensions&quot;: { &quot;Height&quot;: { &quot;#content&quot;: &quot;0.50&quot;, &quot;-Units&quot;: &quot;inches&quot; } } Empty tags will have a value of nil. There is a dependency on Erlsom to parse XML then converts the &#39;simple_form&#39; structure into a map. I prefer Erlsom because it is the best documented erlang XML parser and because it mentions that it does not produce new atoms during the scanning. See tests for some example usage.","ref":"readme.html","title":"XmlToMap","type":"extras"},{"doc":"The package can be installed as: Add :elixir_xml_to_map to your list of dependencies in mix.exs: def deps do [{:elixir_xml_to_map, &quot;~&gt; 2.0&quot;}] end Ensure :elixir_xml_to_map is started before your application: def application do [applications: [:elixir_xml_to_map]] end","ref":"readme.html#installation","title":"XmlToMap - Installation","type":"extras"},{"doc":"Copyright (c) 2016-present, Homan Chou Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"readme.html#license","title":"XmlToMap - License","type":"extras"}]